oracle.xml.async

## Interface XSLTransformerListener

All Superinterfaces:
  java.util.EventListener

    public interface XSLTransformerListener
    extends java.util.EventListener

This interface must be implemented in order to receive notifications about events during the asynchronous transformation. The class implementing this interface must be added to the XSLTransformer using addXSLTransformerListener method.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `xslTransformerError(XSLTransformerEvent p0)` This method is called when parse or transformation error occur.
`void` `xslTransformerOver(XSLTransformerEvent p0)` This method is called when the transformation is complete
`void` `xslTransformerStarted(XSLTransformerEvent p0)` This method is called when the transformation starts

### Method Detail

#### xslTransformerError

    void xslTransformerError(XSLTransformerEvent p0)

This method is called when parse or transformation error occur.

Parameters:
  `p0` - - The XSLTransformerEvent object produced by the XSLTransformer

#### xslTransformerOver

    void xslTransformerOver(XSLTransformerEvent p0)

This method is called when the transformation is complete

Parameters:
  `p0` - - The XSLTransformerEvent object produced by the XSLTransformer

#### xslTransformerStarted

    void xslTransformerStarted(XSLTransformerEvent p0)

This method is called when the transformation starts

Parameters:
  `p0` - - The XSLTransformerEvent object produced by the XSLTransformer

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.